Subject: Re: [ipfix-arch] Flow Keys versus Flow key - correction.

From: Benoit Claise <[email-masked]>
Date: Wed, 01 Dec 2004 10:54:03 +0100

Dear all,

Sorry to reply to my own post. I made a mistake in my posting.

> Dear all,
>
> There is a problem with use of the term "flow keys" versus "flow key" 
> in the architecture draft.
>
> The definition in both [IPFIX-ARCH] and [IPFIX-PROTO] is
> * Flow Key
>      Each of the fields which
>      1.  Belong to the packet header (e.g.  destination IP address)
>      2.  Are a property of the packet itself (e.g.  packet length)
>      3.  Are derived from packet treatment (e.g.  AS number)
>      and which are used to define a Flow are termed Flow Keys.
>
> The question boils down to: what is the flow key notion?
> 1. The flow key is the list of information elements?
>   Example:     The flow keys are: source IP address, destination IP 
> address, and DSCP
> 2. Or the flow key is the set of all information elements?
>   Example:     The flow key is: {source IP address, destination IP 
> address, DSCP}
>
>
> Personally, I prefer the option 2. - as this is the way it has been 
> known in NetFlow
> - as this corresponds to the definition.
> Note that [IPFIX-PROTO] is consistent with the option 2

I wanted to express:
Personally, I prefer the option 1.
- as this is the way it has been known in NetFlow
- as this corresponds to the definition.
Note that [IPFIX-PROTO] is consistent with the option 1

However, [IPFIX-ARCH] use the term "flow key" (option 2)
- "If the Flow Key is defined as {source IP address, destination IP 
address, DSCP}, ..."
- "This could be done by defining the Flow Key as {source IP address, 
destination IP address, DSCP}"

I would propose to change those the sentences to:
- "If the Flow Keys are defined as {source IP address, destination IP 
address, DSCP}, ..."
- "This could be done by defining the Flow Keys as {source IP address, 
destination IP address, DSCP}"

Sorry about the confusion the previous email has caused.

Regards, Benoit.

>
> However, [IPFIX-ARCH] use the term "flow key" (option 1)
> - "If the Flow Key is defined as {source IP address, destination IP 
> address, DSCP}, ..."
> - "This could be done by defining the Flow Key as {source IP address, 
> destination IP address, DSCP}"
>
> I would propose to change those the sentences to:
> - "If the Flow Keys are defined as {source IP address, destination IP 
> address, DSCP}, ..."
> - "This could be done by defining the Flow Keys as {source IP address, 
> destination IP address, DSCP}"
>
> Feedback?
>
> Regards, Benoit.
>
>
> -- 
> Help        mailto:[email-masked] and say "help" in 
> message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/